Subject: Re: [PATCH v3 3/4] get rid of "git submodule summary --for-status"

From: Jens Lehmann <[email-masked]>
Date: Fri, 30 Aug 2013 22:08:53 +0200

Am 30.08.2013 21:51, schrieb Jens Lehmann:
> Am 30.08.2013 21:40, schrieb Jens Lehmann:
>> Am 29.08.2013 23:23, schrieb Matthieu Moy:
>>> Jens Lehmann <[email-masked]> writes:
>>>
>>>> Am 29.08.2013 15:05, schrieb Matthieu Moy:
>>>>> The --for-status option was an undocumented option used only by
>>>>> wt-status.c, which inserted a header and commented out the output. We can
>>>>> achieve the same result within wt-status.c, without polluting the
>>>>> submodule command-line options.
>>>>>
>>>>> This will make it easier to disable the comments from wt-status.c later.
>>>>
>>>> Cool, thanks for implementing this!
>>>>
>>>> But unfortunately this change collides with bc/submodule-status-ignored
>>>> (I added Brian to the CC) which is currently on its way to next.
>>>
>>> Thanks for pointing that out. The patch looks buggy:
>>
>> Ok, I'll tak
> 
> Sorry, I accidentally hit "Send" ... :-(
> 
> Ok, I'll take a look and will comment on that soon.
> 
>>> --- a/git-submodule.sh
>>> +++ b/git-submodule.sh
>>> @@ -1036,6 +1036,13 @@ cmd_summary() {
>>>                 do
>>>                         # Always show modules deleted or type-changed (blob<->module)
>>>                         test $status = D -o $status = T && echo "$sm_path" && continue
>>> +                       # Respect the ignore setting for --for-status.
>>> +                       if test -n $for_status
>>> +                       then
>>> +                               name=$(module_name "$sm_path")
>>> +                               ignore_config=$(get_submodule_config "$name" ignore none)
>>> +                               test $status != A -a $ignore_config = all && continue
>>> +                       fi
>>>
>>> Because of the missing quotes around $for_status, it seems the test is
>>> unconditionnaly true:
>>>
>>> $ test -n t ; echo $?
>>> 0
>>> $ test -n   ; echo $?
>>> 0

Right you are, I did not notice the missing "" in my review. Looks like
we also should add one or more tests making sure that submodule summary
and status never honor the ignore settings.